rm(list = ls())
source('tools.R')

library(svDialogs)
library(PBSadmb)
library(ellipse)
library(MASS)
library(ggplot2)
library(reshape)

r1 <- readList(paste('inidep_catage','.rep', sep=''))
f1 <- read.fit('inidep_catage')


################################# (fig_1)

ssb <- f1$est[108:152]
sss.sd <- f1$std[108:152]

x11()
plot(c(1963:2007),ssb/1000, type='l', col=2, lwd=2)
lines(c(1963:2007),(ssb+(2*sss.sd))/1000, col=1, lwd=1)
lines(c(1963:2007),(ssb-(2*sss.sd))/1000, col=1, lwd=1)


################################# (fig_2)

predC <- exp(r1$predC)
obsC <- r1$obsC
colnames(obsC) <- colnames(predC) <- c(1963:2007)
rownames(obsC) <- rownames(predC) <- c(1:7)

obs <- melt(obsC)
pre <- melt(predC)
data <- cbind(obs,pre$value)
colnames(data) <- c('age','year','obs','pre')

data$decada <- floor(data$year/10)*10
data$yr <- data$year - data$decada

p <- ggplot(data) 
p1 <- p + geom_bar(aes(factor(age), obs), stat = "identity") 
p2 <- p1 + facet_grid(yr~decada, scales = "free") 
p3 <- p2 + geom_line(col=4, aes(factor(age), pre, group = 1))
p4 <- p3 + scale_x_discrete('length') 
p4 <- p4 + scale_x_discrete(breaks=seq(1,24,4)) 
p5 <- p4 + geom_line(col=2, aes(factor(age), pre+0.02, group = 1))
p5
